org.apache.hc.client5.http.impl.async

## Class AsyncConnectExec

- java.lang.Object
- - org.apache.hc.client5.http.impl.async.AsyncConnectExec

All Implemented Interfaces:
  AsyncExecChainHandler

    @Contract(threading=IMMUTABLE_CONDITIONAL)
    public final class AsyncConnectExec
    extends Object
    implements AsyncExecChainHandler

Request executor in the HTTP request execution chain that is responsible for establishing connection to the target origin server as specified by the current route.

Since:
  5.0

### Constructor Summary

Constructors
Constructor and Description
`AsyncConnectExec(org.apache.hc.core5.http.protocol.HttpProcessor proxyHttpProcessor, AuthenticationStrategy proxyAuthStrategy)`

### Method Summary

Methods
`void` `execute(org.apache.hc.core5.http.HttpRequest request, org.apache.hc.core5.http.nio.AsyncEntityProducer entityProducer, AsyncExecChain.Scope scope, AsyncExecChain chain, AsyncExecCallback asyncExecCallback)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AsyncConnectExec

    public AsyncConnectExec(org.apache.hc.core5.http.protocol.HttpProcessor proxyHttpProcessor,
                    AuthenticationStrategy proxyAuthStrategy)

### Method Detail

#### execute

    public void execute(org.apache.hc.core5.http.HttpRequest request,
               org.apache.hc.core5.http.nio.AsyncEntityProducer entityProducer,
               AsyncExecChain.Scope scope,
               AsyncExecChain chain,
               AsyncExecCallback asyncExecCallback)
                 throws org.apache.hc.core5.http.HttpException,
                        IOException

Specified by:
  `execute` in interface `AsyncExecChainHandler`
Throws:
  `org.apache.hc.core5.http.HttpException`
  `IOException`